org.h2gis.functions.spatial.edit

## Class EditUtilities

- java.lang.Object
- - org.h2gis.functions.spatial.edit.EditUtilities

    public class EditUtilities
    extends Object

Common utilities used by the edit functions

Author:
  Erwan Bocher

### Constructor Summary

Constructors
Constructor and Description
`EditUtilities()`

### Method Summary

All Methods Static Methods Concrete Methods
`static com.vividsolutions.jts.operation.distance.GeometryLocation` `getVertexToSnap(com.vividsolutions.jts.geom.Geometry g, com.vividsolutions.jts.geom.Point p, double tolerance)` Gets the coordinate of a Geometry that is the nearest of a given Point, with a distance tolerance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EditUtilities

    public EditUtilities()

### Method Detail

#### getVertexToSnap

    public static com.vividsolutions.jts.operation.distance.GeometryLocation getVertexToSnap(com.vividsolutions.jts.geom.Geometry g,
                                                                                             com.vividsolutions.jts.geom.Point p,
                                                                                             double tolerance)

Gets the coordinate of a Geometry that is the nearest of a given Point, with a distance tolerance.

Parameters:
  `g` -
  `p` -
  `tolerance` -
Returns: